A library for Flutter/Dart api extensions.

## Usage

A simple usage example:

```dart
import 'package:fluartx/fluartx.dart';

main() {
  <Object>[1, "B", 3, "D"]
      .where(Predicates.instanceOf(String))
      .map(Transformers.forMap({"B": 2, "D": 4}))
      .toList();

  // group by odd even
  var groupMap = <int>[1, 2, 3, 4, 5].groupBy((ele) => ele % 2);
  // print even list
  groupMap[0].join("\t").also<String>(printFunction());
  // print odd list
  groupMap[1].join("\t").also<String>(printFunction());
  
  //output: 
  // 2	4
  // 1	3  5
}
```